Subject: Re: [PATCH 3/7] t5528-push-default.sh: add helper functions

From: Matthieu Moy <[email-masked]>
Date: Mon, 23 Apr 2012 18:20:05 +0200

Junio C Hamano <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes:
>
>>> ... and we can use --all not master here, right?
>>
>> Actually, we can even use --all everywhere. And then, we don't even need
>> the second argument, and we can simplify greatly the function:
>
> That did cross my mind but I suspected that the reason to have the
> argument was because you would want to use the helper also to test
> 'matching' case where you want to make sure ones that the pusher does
> not have are left alone.

I did not add much for "matching" (that would be a separate topic, and
my Git time budget is getting short). But I think the simplicity of the
new function (both caller and callee side) is worth it, even if we later
add something more complex for the case of "matching".

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/